Scilab Function
Last update : 00/00/0000

mclose - close an opened file

### Calling Sequence

  `err=mclose([fd])`
  `mclose('all')`

### Parameters

- `fd`: scalar. The `fd` parameter returned by the function `mopen` is used as a file descriptor (it's a positive integer).
- `err`: a scalar. Error indicator : vector

### Description

`mclose` must be used to close a file opened by `mopen`. If fd is omitted `mclose` closes the last opend file.

`mclose('all')` closes all files opened by `file('open',..)` or `mopen`

### See Also

`meof`, `mfprintf`, `fprintfMat`, `mfscanf`, `fscanfMat`, `mget`, `mgetstr`, `mopen`, `mprintf`, `mput`, `mputstr`, `mscanf`, `mseek`, `mtell`, `file`, `mdelete`,